//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: V1.9.9 Beta-6
//Created Time: 2023-10-27 10:50:08
create_clock -name O_led -period 10 -waveform {0 5} [get_nets {O_led_d_0[2]}]
create_clock -name lane3_pcs_tx_o_fabric_clk -period 13.468 -waveform {0 6.734} [get_nets {lane3_pcs_tx_o_fabric_clk}] -add
create_clock -name O_adv7513_clk -period 13.468 -waveform {0 6.734} [get_ports {O_adv7513_clk}] -add
create_clock -name sclk -period 20 -waveform {0 10} [get_nets {sclk}] -add
create_clock -name I_clk -period 20 -waveform {0 10} [get_ports {I_clk}] -add
set_clock_groups -asynchronous -group [get_clocks {lane3_pcs_tx_o_fabric_clk}] -group [get_clocks {O_led}] -group [get_clocks {O_adv7513_clk}]
set_false_path -from [get_clocks {sclk}] -to [get_clocks {lane3_pcs_tx_o_fabric_clk}] 
set_false_path -from [get_clocks {lane3_pcs_tx_o_fabric_clk}] -to [get_clocks {sclk}] 
set_false_path -from [get_clocks {sclk}] -to [get_clocks {O_adv7513_clk}] 
set_false_path -from [get_clocks {O_adv7513_clk}] -to [get_clocks {sclk}] 
