//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-4
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Mon Sep 11 10:56:24 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    SerDes_Top your_instance_name(
        .SDI_Top_sdi_tx_half_clk_o(SDI_Top_sdi_tx_half_clk_o_o), //output SDI_Top_sdi_tx_half_clk_o
        .SDI_Top_sdi_rx_hres_o(SDI_Top_sdi_rx_hres_o_o), //output [15:0] SDI_Top_sdi_rx_hres_o
        .SDI_Top_sdi_rx_vres_o(SDI_Top_sdi_rx_vres_o_o), //output [15:0] SDI_Top_sdi_rx_vres_o
        .SDI_Top_sdi_rx_interlace_o(SDI_Top_sdi_rx_interlace_o_o), //output SDI_Top_sdi_rx_interlace_o
        .SDI_Top_sdi_rx_rate_o(SDI_Top_sdi_rx_rate_o_o), //output [2:0] SDI_Top_sdi_rx_rate_o
        .SDI_Top_sdi_rx_mod_o(SDI_Top_sdi_rx_mod_o_o), //output [2:0] SDI_Top_sdi_rx_mod_o
        .SDI_Top_sdi_rx_hcnt_o(SDI_Top_sdi_rx_hcnt_o_o), //output [15:0] SDI_Top_sdi_rx_hcnt_o
        .SDI_Top_sdi_rx_vcnt_o(SDI_Top_sdi_rx_vcnt_o_o), //output [15:0] SDI_Top_sdi_rx_vcnt_o
        .SDI_Top_sdi_rx_clk_o(SDI_Top_sdi_rx_clk_o_o), //output SDI_Top_sdi_rx_clk_o
        .SDI_Top_sdi_rx_f_o(SDI_Top_sdi_rx_f_o_o), //output SDI_Top_sdi_rx_f_o
        .SDI_Top_sdi_rx_v_o(SDI_Top_sdi_rx_v_o_o), //output SDI_Top_sdi_rx_v_o
        .SDI_Top_sdi_rx_h_o(SDI_Top_sdi_rx_h_o_o), //output SDI_Top_sdi_rx_h_o
        .SDI_Top_sdi_rx_de_o(SDI_Top_sdi_rx_de_o_o), //output SDI_Top_sdi_rx_de_o
        .SDI_Top_sdi_rx_data20_o(SDI_Top_sdi_rx_data20_o_o), //output [19:0] SDI_Top_sdi_rx_data20_o
        .SDI_Top_sdi_pma_rst_n_i(SDI_Top_sdi_pma_rst_n_i_i), //input SDI_Top_sdi_pma_rst_n_i
        .SDI_Top_sdi_tx_rst_n_i(SDI_Top_sdi_tx_rst_n_i_i), //input SDI_Top_sdi_tx_rst_n_i
        .SDI_Top_sdi_tx_rate_i(SDI_Top_sdi_tx_rate_i_i), //input [2:0] SDI_Top_sdi_tx_rate_i
        .SDI_Top_sdi_tx_hres_i(SDI_Top_sdi_tx_hres_i_i), //input [15:0] SDI_Top_sdi_tx_hres_i
        .SDI_Top_sdi_tx_vres_i(SDI_Top_sdi_tx_vres_i_i), //input [15:0] SDI_Top_sdi_tx_vres_i
        .SDI_Top_sdi_tx_ver_fre_i(SDI_Top_sdi_tx_ver_fre_i_i), //input [2:0] SDI_Top_sdi_tx_ver_fre_i
        .SDI_Top_sdi_tx_interlace_i(SDI_Top_sdi_tx_interlace_i_i), //input SDI_Top_sdi_tx_interlace_i
        .SDI_Top_sdi_tx_color_i(SDI_Top_sdi_tx_color_i_i), //input SDI_Top_sdi_tx_color_i
        .SDI_Top_sdi_tx_mfactor_i(SDI_Top_sdi_tx_mfactor_i_i), //input SDI_Top_sdi_tx_mfactor_i
        .SDI_Top_sdi_tx_pixbit_i(SDI_Top_sdi_tx_pixbit_i_i), //input SDI_Top_sdi_tx_pixbit_i
        .SDI_Top_sdi_tx_pixstruc_i(SDI_Top_sdi_tx_pixstruc_i_i), //input [1:0] SDI_Top_sdi_tx_pixstruc_i
        .SDI_Top_sdi_tx_fld_i(SDI_Top_sdi_tx_fld_i_i), //input SDI_Top_sdi_tx_fld_i
        .SDI_Top_sdi_tx_vs_i(SDI_Top_sdi_tx_vs_i_i), //input SDI_Top_sdi_tx_vs_i
        .SDI_Top_sdi_tx_hs_i(SDI_Top_sdi_tx_hs_i_i), //input SDI_Top_sdi_tx_hs_i
        .SDI_Top_sdi_tx_de_i(SDI_Top_sdi_tx_de_i_i), //input SDI_Top_sdi_tx_de_i
        .SDI_Top_sdi_tx_data_i(SDI_Top_sdi_tx_data_i_i), //input [19:0] SDI_Top_sdi_tx_data_i
        .SDI_Top_sdi_rx_rst_n_i(SDI_Top_sdi_rx_rst_n_i_i), //input SDI_Top_sdi_rx_rst_n_i
        .SDI_Top_sdi_rx_drp_clk_i(SDI_Top_sdi_rx_drp_clk_i_i), //input SDI_Top_sdi_rx_drp_clk_i
        .SDI_Top_sdi_rx_fix_rate_en_i(SDI_Top_sdi_rx_fix_rate_en_i_i), //input SDI_Top_sdi_rx_fix_rate_en_i
        .SDI_Top_sdi_rx_fix_rate_i(SDI_Top_sdi_rx_fix_rate_i_i), //input [2:0] SDI_Top_sdi_rx_fix_rate_i
        .SDI_Top_sdi_rx_fix_mfactor_i(SDI_Top_sdi_rx_fix_mfactor_i_i) //input SDI_Top_sdi_rx_fix_mfactor_i
    );

//--------Copy end-------------------
