//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-4
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Mon Sep 11 10:56:21 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	SDI_Top your_instance_name(
		.serdes_pma_rst_n_o(serdes_pma_rst_n_o_o), //output serdes_pma_rst_n_o
		.serdes_pcs_tx_clk_i(serdes_pcs_tx_clk_i_i), //input serdes_pcs_tx_clk_i
		.serdes_fabric_tx_clk_o(serdes_fabric_tx_clk_o_o), //output serdes_fabric_tx_clk_o
		.serdes_txdata_o(serdes_txdata_o_o), //output [79:0] serdes_txdata_o
		.serdes_tx_fifo_wren_o(serdes_tx_fifo_wren_o_o), //output serdes_tx_fifo_wren_o
		.serdes_pcs_tx_rst_o(serdes_pcs_tx_rst_o_o), //output serdes_pcs_tx_rst_o
		.serdes_pcs_rx_clk_i(serdes_pcs_rx_clk_i_i), //input serdes_pcs_rx_clk_i
		.serdes_fabric_rx_clk_o(serdes_fabric_rx_clk_o_o), //output serdes_fabric_rx_clk_o
		.serdes_rxdata_i(serdes_rxdata_i_i), //input [87:0] serdes_rxdata_i
		.serdes_rx_fifo_rden_o(serdes_rx_fifo_rden_o_o), //output serdes_rx_fifo_rden_o
		.serdes_pcs_rx_rst_o(serdes_pcs_rx_rst_o_o), //output serdes_pcs_rx_rst_o
		.sdi_pma_rst_n_i(sdi_pma_rst_n_i_i), //input sdi_pma_rst_n_i
		.sdi_tx_rst_n_i(sdi_tx_rst_n_i_i), //input sdi_tx_rst_n_i
		.sdi_tx_rate_i(sdi_tx_rate_i_i), //input [2:0] sdi_tx_rate_i
		.sdi_tx_hres_i(sdi_tx_hres_i_i), //input [15:0] sdi_tx_hres_i
		.sdi_tx_vres_i(sdi_tx_vres_i_i), //input [15:0] sdi_tx_vres_i
		.sdi_tx_ver_fre_i(sdi_tx_ver_fre_i_i), //input [2:0] sdi_tx_ver_fre_i
		.sdi_tx_interlace_i(sdi_tx_interlace_i_i), //input sdi_tx_interlace_i
		.sdi_tx_color_i(sdi_tx_color_i_i), //input sdi_tx_color_i
		.sdi_tx_mfactor_i(sdi_tx_mfactor_i_i), //input sdi_tx_mfactor_i
		.sdi_tx_pixbit_i(sdi_tx_pixbit_i_i), //input sdi_tx_pixbit_i
		.sdi_tx_pixstruc_i(sdi_tx_pixstruc_i_i), //input [1:0] sdi_tx_pixstruc_i
		.sdi_tx_fld_i(sdi_tx_fld_i_i), //input sdi_tx_fld_i
		.sdi_tx_vs_i(sdi_tx_vs_i_i), //input sdi_tx_vs_i
		.sdi_tx_hs_i(sdi_tx_hs_i_i), //input sdi_tx_hs_i
		.sdi_tx_de_i(sdi_tx_de_i_i), //input sdi_tx_de_i
		.sdi_tx_data_i(sdi_tx_data_i_i), //input [19:0] sdi_tx_data_i
		.sdi_tx_half_clk_o(sdi_tx_half_clk_o_o), //output sdi_tx_half_clk_o
		.sdi_rx_rst_n_i(sdi_rx_rst_n_i_i), //input sdi_rx_rst_n_i
		.sdi_rx_drp_clk_i(sdi_rx_drp_clk_i_i), //input sdi_rx_drp_clk_i
		.sdi_rx_fix_rate_en_i(sdi_rx_fix_rate_en_i_i), //input sdi_rx_fix_rate_en_i
		.sdi_rx_fix_rate_i(sdi_rx_fix_rate_i_i), //input [2:0] sdi_rx_fix_rate_i
		.sdi_rx_fix_mfactor_i(sdi_rx_fix_mfactor_i_i), //input sdi_rx_fix_mfactor_i
		.sdi_rx_hres_o(sdi_rx_hres_o_o), //output [15:0] sdi_rx_hres_o
		.sdi_rx_vres_o(sdi_rx_vres_o_o), //output [15:0] sdi_rx_vres_o
		.sdi_rx_interlace_o(sdi_rx_interlace_o_o), //output sdi_rx_interlace_o
		.sdi_rx_rate_o(sdi_rx_rate_o_o), //output [2:0] sdi_rx_rate_o
		.sdi_rx_mod_o(sdi_rx_mod_o_o), //output [2:0] sdi_rx_mod_o
		.sdi_rx_hcnt_o(sdi_rx_hcnt_o_o), //output [15:0] sdi_rx_hcnt_o
		.sdi_rx_vcnt_o(sdi_rx_vcnt_o_o), //output [15:0] sdi_rx_vcnt_o
		.sdi_rx_clk_o(sdi_rx_clk_o_o), //output sdi_rx_clk_o
		.sdi_rx_f_o(sdi_rx_f_o_o), //output sdi_rx_f_o
		.sdi_rx_v_o(sdi_rx_v_o_o), //output sdi_rx_v_o
		.sdi_rx_h_o(sdi_rx_h_o_o), //output sdi_rx_h_o
		.sdi_rx_de_o(sdi_rx_de_o_o), //output sdi_rx_de_o
		.sdi_rx_data20_o(sdi_rx_data20_o_o) //output [19:0] sdi_rx_data20_o
	);

//--------Copy end-------------------
